InfoCancelSchedulerMessage (The Data Transfer scheduler library 2.1.0-4.13.1-126143 API)
Date: 2019-02-25

org.gcube.datatransfer.scheduler.library.obj

## Class InfoCancelSchedulerMessage

- java.lang.Object
- - org.gcube.datatransfer.scheduler.library.obj.InfoCancelSchedulerMessage

- All Implemented Interfaces:
    Serializable

      public class InfoCancelSchedulerMessage
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.gcube.datatransfer.common.agent.Types.CancelTransferMessage` | `cancelTransferMessage`
    `protected static com.thoughtworks.xstream.XStream` | `xstream`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InfoCancelSchedulerMessage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.datatransfer.common.agent.Types.CancelTransferMessage` | `getCancelTransferMessage()`
    `void` | `setCancelTransferMessage(org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage)`
    `String` | `toXML()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cancelTransferMessage

          protected org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage

    - #### xstream

          protected static com.thoughtworks.xstream.XStream xstream

  - ### Constructor Detail

    - #### InfoCancelSchedulerMessage

          public InfoCancelSchedulerMessage()

  - ### Method Detail

    - #### getCancelTransferMessage

          public org.gcube.datatransfer.common.agent.Types.CancelTransferMessage getCancelTransferMessage()

    - #### setCancelTransferMessage

          public void setCancelTransferMessage(org.gcube.datatransfer.common.agent.Types.CancelTransferMessage cancelTransferMessage)

    - #### toXML

          public String toXML()

Copyright © 2019. All Rights Reserved.